pub mod success;
pub mod external;
pub mod requests;
pub mod responses;
pub mod types;

use serde::{
  Serialize,
  Deserialize,
};
use requests::{
  Args,
  VMListRequest,
};
use clap::Parser;

fn main() -> Result<(), Box<dyn std::error::Error>> {
    let args = Args::parse();
    match args.make_request() {
      Ok(info) => println!("{:?}", info),
      Err(e) => println!("Error: {:?}", e),
    };
    Ok(())
}
